Browse Source

Updated from global requirements

Change-Id: I1aa87e27056bbce24e155ed952eccae8c69d8761
OpenStack Proposal Bot 1 year ago
parent
commit
918a261e55
3 changed files with 18 additions and 18 deletions
  1. 8
    8
      requirements.txt
  2. 1
    1
      setup.py
  3. 9
    9
      test-requirements.txt

+ 8
- 8
requirements.txt View File

@@ -2,11 +2,11 @@
2 2
 # of appearance. Changing the order has an impact on the overall integration
3 3
 # process, which may cause wedges in the gate later.
4 4
 
5
-pbr>=2.0 # Apache-2.0
6
-oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
7
-six>=1.9.0 # MIT
8
-oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
9
-oslo.utils>=3.20.0 # Apache-2.0
10
-testtools>=1.4.0 # MIT
11
-tempest>=16.1.0 # Apache-2.0
12
-requests>=2.14.2  # Apache-2.0
5
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
6
+oslo.config>=5.1.0 # Apache-2.0
7
+six>=1.10.0 # MIT
8
+oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
9
+oslo.utils>=3.33.0 # Apache-2.0
10
+testtools>=2.2.0 # MIT
11
+tempest>=17.1.0 # Apache-2.0
12
+requests>=2.14.2 # Apache-2.0

+ 1
- 1
setup.py View File

@@ -25,5 +25,5 @@ except ImportError:
25 25
     pass
26 26
 
27 27
 setuptools.setup(
28
-    setup_requires=['pbr'],
28
+    setup_requires=['pbr>=2.0.0'],
29 29
     pbr=True)

+ 9
- 9
test-requirements.txt View File

@@ -2,14 +2,14 @@
2 2
 # of appearance. Changing the order has an impact on the overall integration
3 3
 # process, which may cause wedges in the gate later.
4 4
 
5
-hacking>=0.12.0,<0.13 # Apache-2.0
5
+hacking<0.13,>=0.12.0 # Apache-2.0
6 6
 
7
-coverage>=4.0,!=4.4 # Apache-2.0
8
-python-subunit>=0.0.18 # Apache-2.0/BSD
9
-sphinx>=1.6.2 # BSD
10
-oslotest>=1.10.0 # Apache-2.0
11
-testrepository>=0.0.18  # Apache-2.0/BSD
12
-testtools>=1.4.0 # MIT
13
-openstackdocstheme>=1.11.0  # Apache-2.0
7
+coverage!=4.4,>=4.0 # Apache-2.0
8
+python-subunit>=1.0.0 # Apache-2.0/BSD
9
+sphinx!=1.6.6,>=1.6.2 # BSD
10
+oslotest>=3.2.0 # Apache-2.0
11
+testrepository>=0.0.18 # Apache-2.0/BSD
12
+testtools>=2.2.0 # MIT
13
+openstackdocstheme>=1.17.0 # Apache-2.0
14 14
 # releasenotes
15
-reno>=1.8.0 # Apache-2.0
15
+reno>=2.5.0 # Apache-2.0

Loading…
Cancel
Save